Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.admin.ui
Class PropertiesInfo

    java.lang.Object
      org.jboss.portal.core.admin.ui.PropertiesInfo

    public class PropertiesInfo

extends java.lang.Object

Version:
  $Revision: 10900 $
Author:
  Julien Viet,

  Field Summary
  `static PropertyInfo` | `AJAX_DND`
  `static PropertyInfo` | `AJAX_PARTIAL_REFRESH`
  `static PropertyInfo` | `CONTROL_POLICY_PAGE_ACCESS_DENIED`
  `static PropertyInfo` | `CONTROL_POLICY_PAGE_ERROR`
  `static PropertyInfo` | `CONTROL_POLICY_PAGE_INTERNAL_ERROR`
  `static PropertyInfo` | `CONTROL_POLICY_PAGE_NOT_FOUND`
  `static PropertyInfo` | `CONTROL_POLICY_PAGE_RESOURCE_URI`
  `static PropertyInfo` | `CONTROL_POLICY_PAGE_UNAVAILABLE`
  `static PropertyInfo` | `CONTROL_POLICY_PORTAL_ACCESS_DENIED`
  `static PropertyInfo` | `CONTROL_POLICY_PORTAL_ERROR`
  `static PropertyInfo` | `CONTROL_POLICY_PORTAL_INTERNAL_ERROR`
  `static PropertyInfo` | `CONTROL_POLICY_PORTAL_NOT_FOUND`
  `static PropertyInfo` | `CONTROL_POLICY_PORTAL_RESOURCE_URI`
  `static PropertyInfo` | `CONTROL_POLICY_PORTAL_UNAVAILABLE`
  `static PropertyInfo` | `DEFAULT_CHILD_NAME`
  `static PropertyInfo` | `INITIAL_WINDOW_STATE`
  `static PropertyInfo` | `PAGE_ORDER`
  `static PropertyInfo` | `THEME_LAYOUT_ID`
  `static PropertyInfo` | `THEME_RENDER_REGION_ID`
  `static PropertyInfo` | `THEME_RENDER_REGION_ORDER`
  `static PropertyInfo` | `THEME_RENDER_SET_ID`
  `static PropertyInfo` | `THEME_THEME_ID`
  `static PropertyInfo` | `WINDOW_CONTENT_TYPE`

  Constructor Summary
  `PropertiesInfo(PortalObject portalObject)`

  Method Summary
  `static PropertyInfo` | `getControlPropertyInfo(java.lang.String name)`
  `java.util.Set` | `getNames()`
  `PropertyInfo` | `getPropertyInfo(java.lang.String name)`
  `static boolean` | `isControlProperty(java.lang.String name)`

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Field Detail

  ### THEME_LAYOUT_ID

      public static final PropertyInfo THEME_LAYOUT_ID

  ### THEME_THEME_ID

      public static final PropertyInfo THEME_THEME_ID

  ### THEME_RENDER_SET_ID

      public static final PropertyInfo THEME_RENDER_SET_ID

  ### THEME_RENDER_REGION_ID

      public static final PropertyInfo THEME_RENDER_REGION_ID

  ### THEME_RENDER_REGION_ORDER

      public static final PropertyInfo THEME_RENDER_REGION_ORDER

  ### AJAX_PARTIAL_REFRESH

      public static final PropertyInfo AJAX_PARTIAL_REFRESH

  ### AJAX_DND

      public static final PropertyInfo AJAX_DND

  ### WINDOW_CONTENT_TYPE

      public static final PropertyInfo WINDOW_CONTENT_TYPE

  ### DEFAULT_CHILD_NAME

      public static final PropertyInfo DEFAULT_CHILD_NAME

  ### PAGE_ORDER

      public static final PropertyInfo PAGE_ORDER

  ### INITIAL_WINDOW_STATE

      public static final PropertyInfo INITIAL_WINDOW_STATE

  ### CONTROL_POLICY_PAGE_ACCESS_DENIED

      public static final PropertyInfo CONTROL_POLICY_PAGE_ACCESS_DENIED

  ### CONTROL_POLICY_PAGE_UNAVAILABLE

      public static final PropertyInfo CONTROL_POLICY_PAGE_UNAVAILABLE

  ### CONTROL_POLICY_PAGE_ERROR

      public static final PropertyInfo CONTROL_POLICY_PAGE_ERROR

  ### CONTROL_POLICY_PAGE_INTERNAL_ERROR

      public static final PropertyInfo CONTROL_POLICY_PAGE_INTERNAL_ERROR

  ### CONTROL_POLICY_PAGE_NOT_FOUND

      public static final PropertyInfo CONTROL_POLICY_PAGE_NOT_FOUND

  ### CONTROL_POLICY_PAGE_RESOURCE_URI

      public static final PropertyInfo CONTROL_POLICY_PAGE_RESOURCE_URI

  ### CONTROL_POLICY_PORTAL_ACCESS_DENIED

      public static final PropertyInfo CONTROL_POLICY_PORTAL_ACCESS_DENIED

  ### CONTROL_POLICY_PORTAL_UNAVAILABLE

      public static final PropertyInfo CONTROL_POLICY_PORTAL_UNAVAILABLE

  ### CONTROL_POLICY_PORTAL_ERROR

      public static final PropertyInfo CONTROL_POLICY_PORTAL_ERROR

  ### CONTROL_POLICY_PORTAL_INTERNAL_ERROR

      public static final PropertyInfo CONTROL_POLICY_PORTAL_INTERNAL_ERROR

  ### CONTROL_POLICY_PORTAL_NOT_FOUND

      public static final PropertyInfo CONTROL_POLICY_PORTAL_NOT_FOUND

  ### CONTROL_POLICY_PORTAL_RESOURCE_URI

      public static final PropertyInfo CONTROL_POLICY_PORTAL_RESOURCE_URI

  Constructor Detail

  ### PropertiesInfo

      public PropertiesInfo(PortalObject portalObject)

  Method Detail

  ### getNames

      public java.util.Set getNames()

  ### getPropertyInfo

      public PropertyInfo getPropertyInfo(java.lang.String name)

  ### isControlProperty

      public static boolean isControlProperty(java.lang.String name)

  ### getControlPropertyInfo

      public static PropertyInfo getControlPropertyInfo(java.lang.String name)

  Overview | Package | Class | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD